get
https://partner.gupshup.io/partner/bizgate/app//configuration/discount/monthly
Returns the discount amount and effective rate applied to a single app for the given year and month.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Query parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| year | Calendar year of the reporting window. | 2024 | Integer | Required |
| month | Calendar month of the reporting window, 1-12. | 6 | Integer | Required |
Sample cURL — App-wise discount for month.
curl --request GET \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/configuration/discount/monthly?year=2024&month=6' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": {
"dailyAppDiscountList": [
{
"id": 1022583,
"appId": "12deb611-d9f5-4dc9-aab8-da38c86622c9",
"partnerId": 13736,
"currency": "USD",
"year": 2026,
"month": 7,
"day": 9,
"date": 1783535400000,
"gsFees": 0.003,
"gsCap": 75.0,
"dailyBill": 0.003,
"cumulativeBill": 0.003,
"dailyBillForDiscount": 0.003,
"cumulativeBillForDiscount": 0.003,
"discount": 0.0,
"cxPricingEnabled": false
}
]
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…